'  Error Flags
Global Const CE_RXOVER = &H1    '  Receive Queue overflow
Global Const CE_OVERRUN = &H2   '  Receive Overrun Error
Global Const CE_RXPARITY = &H4  '  Receive Parity Error
Global Const CE_FRAME = &H8     '  Receive Framing error
Global Const CE_BREAK = &H10    '  Break Detected
Global Const CE_CTSTO = &H20    '  CTS Timeout
Global Const CE_DSRTO = &H40    '  DSR Timeout
Global Const CE_RLSDTO = &H80   '  RLSD Timeout
Global Const CE_TXFULL = &H100  '  TX Queue is full
Global Const CE_PTO = &H200     '  LPTx Timeout
Global Const CE_IOE = &H400     '  LPTx I/O Error
Global Const CE_DNS = &H800     '  LPTx Device not selected
Global Const CE_OOP = &H1000    '  LPTx Out-Of-Paper
Global Const CE_MODE = &H8000   '  Requested mode unsupported

Global Const IE_BADID = (-1)    '  Invalid or unsupported id
Global Const IE_OPEN = (-2)     '  Device Already Open
Global Const IE_NOPEN = (-3)    '  Device Not Open
Global Const IE_MEMORY = (-4)   '  Unable to allocate queues
Global Const IE_DEFAULT = (-5)  '  Error in default parameters
Global Const IE_HARDWARE = (-10)        '  Hardware Not Present
Global Const IE_BYTESIZE = (-11)        '  Illegal Byte Size
Global Const IE_BAUDRATE = (-12)        '  Unsupported BaudRate

Type DCB
        Id As String * 1
        BaudRate As Integer
        ByteSize As String * 1
        Parity As String * 1
        StopBits As String * 1
        RlsTimeout As Integer
        CtsTimeout As Integer
        DsrTimeout As Integer
        Bits1 As String * 1
        Bits2 As String * 1
        XonChar As String * 1
        XoffChar As String * 1
        XonLim As Integer
        XoffLim As Integer
        PeChar As String * 1
        EofChar As String * 1
        EvtChar As String * 1
        TxDelay As Integer
End Type

Type COMSTAT
        Bits As String * 1
        cbInQue As Integer
        cbOutQue As Integer
End Type


Global Const WM_USER = &H400
' edit box messages
Global Const EM_SETPASSWORDCHAR = WM_USER + 28
Global Const EM_LIMITTEXT = WM_USER + 21
Global Const ES_PASSWORD = &H20
Global Const LBS_EXTENDEDSEL = &H800
Global Const LBS_MULTIPLESEL = &H8
Global Const GWL_STYLE = -16
Global Const GWL_EXSTYLE = -20
' list box messages
Global Const LB_RESETCONTENT = &H405
Global Const LB_SETITEMDATA = WM_USER + 27
Global Const LB_GETITEMDATA = WM_USER + 26

